bitvec Struct Reference
Bit vectors

structure describing a bit vector More...

`#include <bitvec.h>`

## Data Fields

unsigned int | cur_bit
| cursor to the next unused bit More...
unsigned int | data_len
| length of data array in bytes More...
uint8_t * | data
| pointer to data array More...

## Detailed Description

structure describing a bit vector

## Field Documentation

## cur_bit

unsigned int bitvec::cur_bit

cursor to the next unused bit

Referenced by bitvec_alloc(), bitvec_fill(), bitvec_get_bit_high(), bitvec_get_bytes(), bitvec_get_int16_msb(), bitvec_get_uint(), bitvec_read_field(), bitvec_rl(), bitvec_rl_curbit(), bitvec_set_bit(), bitvec_set_bytes(), bitvec_shiftl(), bitvec_spare_padding(), bitvec_to_string_r(), bitvec_write_field(), bitvec_zero(), and osmo_t4_encode().

## data

uint8_t* bitvec::data

pointer to data array

Referenced by bitvec_alloc(), bitvec_free(), bitvec_get_bit_pos(), bitvec_get_bit_pos_high(), bitvec_get_bytes(), bitvec_get_int16_msb(), bitvec_pack(), bitvec_rl(), bitvec_rl_curbit(), bitvec_set_bit_pos(), bitvec_set_bytes(), bitvec_shiftl(), bitvec_unpack(), bitvec_zero(), and osmo_t4_encode().

## data_len

unsigned int bitvec::data_len

length of data array in bytes

Referenced by bitvec_alloc(), bitvec_find_bit_pos(), bitvec_get_bit_pos(), bitvec_get_bit_pos_high(), bitvec_get_bytes(), bitvec_get_nth_set_bit(), bitvec_pack(), bitvec_set_bit_pos(), bitvec_set_bytes(), bitvec_shiftl(), bitvec_unhex(), bitvec_unpack(), bitvec_zero(), and osmo_t4_encode().

The documentation for this struct was generated from the following file:

- include/osmocom/core/bitvec.h